import java.io.*;

public class Random1 {
	public static void main(String[] args){
		RandomAccessFile rf=null;

		try {
			rf=new RandomAccessFile("test.txt","rw");
			/*一个汉字占3个字节，采用UTF编码在字符串开始处写入2个字节的长度，
			 * 该长度是字符串采用UTF编码占用的字节数，
			 * 故下面的字符串共占用11个字节.
			*/
			rf.writeUTF("张三丰");
			rf.writeInt(20);//年龄,整数4个字节
			rf.writeDouble(5000.8);//工资，double类型8个字节

			rf.writeUTF("Li Si");//
			rf.writeInt(21);
			rf.writeDouble(6000.00);
		}catch(IOException e){
			e.printStackTrace();
		}finally{
			if(rf!=null){
				try{
					rf.close();
				}catch(IOException e){
					e.printStackTrace();
				}
			}
		}
	}
}
